Loading...
Searching...
No Matches
casacore::MArrayMath_global_functions_MArray_mathematical_operations::MMedianFunc< T > Class Template Reference

`#include <MArrayMath.h>`

## Public Member Functions

| MMedianFunc (Bool sorted=False, Bool takeEvenMean=True, Bool inPlace=False)
virtual | ~MMedianFunc ()
T | operator() (const MArray< T > &arr) const

## Private Attributes

Bool | itsSorted
Bool | itsTakeEvenMean
Bool | itsInPlace

## Detailed Description

template<typename T>
class casacore::MArrayMath_global_functions_MArray_mathematical_operations::MMedianFunc< T >

Definition at line 155 of file MArrayMath.h.

## Constructor & Destructor Documentation

## MMedianFunc()

template<typename T>

casacore::MArrayMath_global_functions_MArray_mathematical_operations::MMedianFunc< T >::MMedianFunc | ( | Bool | sorted = False,
|  | Bool | takeEvenMean = True,
|  | Bool | inPlace = False )

inline explicit

Definition at line 157 of file MArrayMath.h.

References casacore::False, itsInPlace, itsSorted, itsTakeEvenMean, and casacore::True.

## ~MMedianFunc()

template<typename T>

virtual casacore::MArrayMath_global_functions_MArray_mathematical_operations::MMedianFunc< T >::~MMedianFunc | ( |  | ) |

inline virtual

Definition at line 160 of file MArrayMath.h.

## Member Function Documentation

## operator()()

template<typename T>

T casacore::MArrayMath_global_functions_MArray_mathematical_operations::MMedianFunc< T >::operator() | ( | const MArray< T > & | arr | ) | const

inline

Definition at line 161 of file MArrayMath.h.

References itsInPlace, itsSorted, itsTakeEvenMean, and casacore::MArrayMath_global_functions_MArray_mathematical_operations::median().

## Member Data Documentation

## itsInPlace

template<typename T>

Bool casacore::MArrayMath_global_functions_MArray_mathematical_operations::MMedianFunc< T >::itsInPlace

private

Definition at line 166 of file MArrayMath.h.

Referenced by MMedianFunc(), and operator()().

## itsSorted

template<typename T>

Bool casacore::MArrayMath_global_functions_MArray_mathematical_operations::MMedianFunc< T >::itsSorted

private

Definition at line 164 of file MArrayMath.h.

Referenced by MMedianFunc(), and operator()().

## itsTakeEvenMean

template<typename T>

Bool casacore::MArrayMath_global_functions_MArray_mathematical_operations::MMedianFunc< T >::itsTakeEvenMean

private

Definition at line 165 of file MArrayMath.h.

Referenced by MMedianFunc(), and operator()().

The documentation for this class was generated from the following file:

- tables/TaQL/MArrayMath.h